%bcond_without check

%global goipath         github.com/zaf/g711
Version:                1.2

%gometa

%global common_description %{expand:
Go package to encode and decode ITU-T G.711 sound data.}

%global golicenses      LICENSE
%global godocs          Readme.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Go package to encode and decode ITU-T G.711 sound data

License:        BSD-3-Clause
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc Readme.md
%{_bindir}/*

%gopkgfiles

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
